Quassel IRC - Bug #708

no highlight for certain Nicks (i.e. "AVA")
05/27/2009 03:13 PM - valuial

Status: Resolved Start date: 05/27/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: General / Unspecified Estimated time: 0.00 hour
Target version:

Version: 0.41 0S: Any
Description

how to reproduce:

¢ Change nick to something similar to ¥
¢ have someone ping you.
=> no highlight whatsoever.

Associated revisions

Revision e036ee9df2219667ce1cc22d42a7c50fbdf5b3ba - 08/17/2009 12:07 PM - Daniel Albers
change highlight regexp boundaries from \b to \W

fixes #708
\b is between \W\W or \W\w, therefore doesn't match "*nickname” something" due to " " being \W\W characters

Revision e036ee9d - 08/17/2009 12:07 PM - Daniel Albers
change highlight regexp boundaries from \b to \W

fixes #708
\b is between \W\W or \W\w, therefore doesn't match "*nickname” something" due to " " being \W\W characters

History

#1 - 06/06/2009 06:36 AM - valuial

Workaround: generate a custom highlight word with regular expression ".*\"WV\".*" (or "\s 7\A\V\Ms" ?)

#2 - 06/07/2009 03:49 AM - valuial

Seen another one today in chat: square-brackets [ and ] also break highlighting. cheers [Enrico]

#3 - 08/13/2009 12:49 AM - dalbers

- File 0001-change-highlight-regexp-boundaries-from-b-to-W.patch added
- Status changed from New to Assigned

- Assignee set to Sputnick

- % Done changed from 0 to 90

change highlight regexp boundaries from \b to \W

\b is between \W\W or \W\w, therefore doesn't match "*nickname” something" due to " " being \W\W characters

#4 - 08/13/2009 01:46 AM - dalbers
- File 0001-change-highlight-regexp-boundaries-from-b-to-W.patch added

#5 - 08/17/2009 02:13 PM - dalbers
- Status changed from Assigned to Resolved

- % Done changed from 90 to 100

Applied in changeset e036ee9df2219667ce1cc22d42a7c50fbdfSb3ba.
https://wiki.quassel-irc.org/projects/quassel-irc/repository/revisions/e036ee9df2219667ce1cc22d42a7c50fbdf5b3ba

Files

0001-change-highlight-regexp-boundaries-from-b-to-W.patch 1.94 KB 08/12/2009 dalbers
0001-change-highlight-regexp-boundaries-from-b-to-W.patch 1.85 KB 08/12/2009 dalbers
